## pkcs11-provider 0.3

=== debian/changelog ===
pkcs11-provider (0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:08 +1100

pkcs11-provider (0.3-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:04:06 +0000

pkcs11-provider (0.3-1) unstable; urgency=medium

  * Mention header copyright holder in d/copyright
  * Update upstream source from tag 'upstream/0.3' (Closes: #1057937)
  * Drop patch to disable tests, no longer needed
  * Bump libssl dependency to 3.0.7

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 Jan 2024 21:32:36 +0000

pkcs11-provider (0.2+g20231107-1) unstable; urgency=medium

  * Merge git snapshot from upstream to drop non-DFSG-free headers
  * Disable broken tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Nov 2023 22:49:33 +0000

pkcs11-provider (0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1053818)

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Oct 2023 21:59:35 +0000
