## pkcs11-provider 0.5

=== debian/changelog ===
pkcs11-provider (0.5-2) unstable; urgency=medium

  * Backport patch to fix build on 32bit architectures (Closes: #1086250)

 -- Luca Boccassi <bluca@debian.org>  Tue, 29 Oct 2024 18:41:42 +0000

pkcs11-provider (0.5-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.5'

 -- Luca Boccassi <bluca@debian.org>  Wed, 05 Jun 2024 17:51:51 +0100

pkcs11-provider (0.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.4'
  * Switch from autotools to meson
  * Re-enable build time tests

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 May 2024 14:13:18 +0100

pkcs11-provider (0.3-2) unstable; urgency=medium

  * Disable tests (Closes: #1068657)
  * Switch to pkgconf
  * Bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Apr 2024 18:31:26 +0100
