## pkcs11-provider 0.6

=== debian/changelog ===
pkcs11-provider (0.6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.6'
  * Drop patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 22 Nov 2024 21:58:53 +0000
