## pkcs11-provider 1.0

=== debian/changelog ===
pkcs11-provider (1.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2025 19:09:10 +0000
