=== debian/control ===
Source: pkcs11-provider
Section: libs
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-package-notes,
               libssl-dev (>= 3.0.7~),
               meson (>= 0.57~),
               pkgconf,
               expect <!nocheck>,
               gnutls-bin <!nocheck>,
               libnss3-dev <!nocheck>,
               libp11-kit-dev <!nocheck>,
               libstoken-dev <!nocheck>,
               opensc <!nocheck>,
               openssl <!nocheck>,
               p11-kit <!nocheck>,
               p11-kit-modules <!nocheck>,
               softhsm2 <!nocheck>,
Homepage: https://github.com/latchset/pkcs11-provider
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/pkcs11-provider
Vcs-Git: https://salsa.debian.org/debian/pkcs11-provider.git

Package: pkcs11-provider
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenSSL 3 provider for PKCS11
 With this provider for OpenSSL you can use the OpenSSL library
 (version 3) and command line tools with any PKCS11 implementation as
 backend for the crypto operations.
