=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                p11-kit-modules <!nocheck>,
                softhsm2 <!nocheck>,
 Homepage: https://github.com/latchset/pkcs11-provider
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/pkcs11-provider
 Vcs-Git: https://salsa.debian.org/debian/pkcs11-provider.git
