=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,10 @@
 
 %:
 	dh $@ --buildsystem=meson
+
+# Tests are unreliable and cause build failures on buildds
+override_dh_auto_test:
+
+execute_before_dh_auto_build:
+	# meson test does not compile with verbosity, but doesn't matter as it's test binaries
+	@echo 'blhc: ignore-line-regexp: .* Compiling C object tests.*'
