=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pkcs11-provider
 Section: libs
-Priority: optional
 Maintainer: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-package-notes,
@@ -18,8 +17,7 @@
                p11-kit-modules <!nocheck>,
                softhsm2 <!nocheck>,
 Homepage: https://github.com/latchset/pkcs11-provider
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/pkcs11-provider
 Vcs-Git: https://salsa.debian.org/debian/pkcs11-provider.git
